#!/bin/bash

redis_install(){
mkdir -p /data/local/tool -p && cd /data/local/tool
wget -c http://54.179.201.103:8001/redis/redis-5.0.5.tar.gz && tar xf redis-5.0.5.tar.gz
mv /data/local/tool/redis-5.0.5  /data/local/tool/redis/
cd /data/local/tool/redis/ && make
cd src && make install
mkdir /redis/data -p && mkdir /redis/log/ -p && mkdir /redis/pid/ -p && mkdir /redis/etc/ -p
cd /redis/etc/
cat >/redis/etc/redis.conf<<EOF
bind 127.0.0.1 $Redis_Server_Address
protected-mode yes
port 6379
tcp-backlog 511
timeout 0
tcp-keepalive 300
daemonize yes
supervised no
pidfile /redis/pid/redis.pid
loglevel notice
logfile /redis/log/redis.log
databases 16
save 900 1
save 300 10
save 60 10000
stop-writes-on-bgsave-error yes
rdbcompression yes
rdbchecksum yes
dbfilename dump.rdb
dir /redis/data/
slave-serve-stale-data yes
slave-read-only yes
repl-diskless-sync no
repl-diskless-sync-delay 5
repl-disable-tcp-nodelay no
slave-priority 100
appendonly no
appendfilename "appendonly.aof"
appendfsync everysec
no-appendfsync-on-rewrite no
auto-aof-rewrite-percentage 100
auto-aof-rewrite-min-size 64mb
aof-load-truncated yes
lua-time-limit 5000
slowlog-log-slower-than 10000
slowlog-max-len 128
latency-monitor-threshold 0
notify-keyspace-events ""
hash-max-ziplist-entries 512
hash-max-ziplist-value 64
list-max-ziplist-size -2
list-compress-depth 0
set-max-intset-entries 512
zset-max-ziplist-entries 128
zset-max-ziplist-value 64
hll-sparse-max-bytes 3000
activerehashing yes
client-output-buffer-limit normal 0 0 0
client-output-buffer-limit slave 256mb 64mb 60
client-output-buffer-limit pubsub 32mb 8mb 60
hz 10
aof-rewrite-incremental-fsync yes
maxmemory 6442450944
requirepass RewaR%gt#ujhV
#maxmemory 30064771072
maxclients 20000
EOF
}

read -e -p "Please input Redis_Server IP Address: " Redis_Server_Address
redis_install
redis-server  /redis/etc/redis.conf
